### Hierarchy

- BatchWriteRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- itemCount
- params

### Methods

- createDeleteRequest
- createPutRequest
- delete
- exec
- execFullResponse
- put
- requestItems
- returnConsumedCapacity
- returnItemCollectionMetrics
- write

## Constructors

### constructor

- new BatchWriteRequest(): BatchWriteRequest

- - Defined in dynamo/batchwrite/batch-write.request.ts:15

  #### Returns BatchWriteRequest

## Properties

### Private dynamoRx

dynamoRx: DynamoRx

- Defined in dynamo/batchwrite/batch-write.request.ts:14

### Private itemCount

itemCount: number = 0

- Defined in dynamo/batchwrite/batch-write.request.ts:15

### params

params: BatchWriteItemInput

- Defined in dynamo/batchwrite/batch-write.request.ts:13

## Methods

### Private createDeleteRequest

- createDeleteRequest<T>(modelClazz: ModelConstructor<T>): (Anonymous function)

- - Defined in dynamo/batchwrite/batch-write.request.ts:81

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  #### Returns (Anonymous function)

### Private createPutRequest

- createPutRequest<T>(modelClazz: ModelConstructor<T>): (Anonymous function)

- - Defined in dynamo/batchwrite/batch-write.request.ts:86

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  #### Returns (Anonymous function)

### delete

- delete<T>(modelClazz: ModelConstructor<T>, items: Array<Partial<T>>): BatchWriteRequest

- - Defined in dynamo/batchwrite/batch-write.request.ts:34

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  - ##### items: Array<Partial<T>>

  #### Returns BatchWriteRequest

### exec

- exec(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<void>

- - Defined in dynamo/batchwrite/batch-write.request.ts:49

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    generator for how much timeSlots should be waited before requesting next batch. only used when capacity was exceeded. default randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = BATCH_WRITE_DEFAULT_TIME_SLOT

    defines how long one timeSlot is for throttling, default 1 second

  #### Returns Observable<void>

### execFullResponse

- execFullResponse(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<BatchWriteItemOutput>

- - Defined in dynamo/batchwrite/batch-write.request.ts:60

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = BATCH_WRITE_DEFAULT_TIME_SLOT

  #### Returns Observable<BatchWriteItemOutput>

### put

- put<T>(modelClazz: ModelConstructor<T>, items: T[]): BatchWriteRequest

- - Defined in dynamo/batchwrite/batch-write.request.ts:39

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  - ##### items: T[]

  #### Returns BatchWriteRequest

### Private requestItems

- requestItems(modelClazz: ModelConstructor<any>, items: DynamoDB.WriteRequests): void

- - Defined in dynamo/batchwrite/batch-write.request.ts:67

  #### Parameters

  - ##### modelClazz: ModelConstructor<any>

  - ##### items: DynamoDB.WriteRequests

  #### Returns void

### returnConsumedCapacity

- returnConsumedCapacity(value: DynamoDB.ReturnConsumedCapacity): BatchWriteRequest

- - Defined in dynamo/batchwrite/batch-write.request.ts:24

  #### Parameters

  - ##### value: DynamoDB.ReturnConsumedCapacity

  #### Returns BatchWriteRequest

### returnItemCollectionMetrics

- returnItemCollectionMetrics(value: DynamoDB.ReturnItemCollectionMetrics): BatchWriteRequest

- - Defined in dynamo/batchwrite/batch-write.request.ts:29

  #### Parameters

  - ##### value: DynamoDB.ReturnItemCollectionMetrics

  #### Returns BatchWriteRequest

### Private write

- write(backoffTimer: function, throttleTimeSlot: number): Observable<BatchGetItemOutput>

- - Defined in dynamo/batchwrite/batch-write.request.ts:77

  #### Parameters

  - ##### backoffTimer: function

    - - (): IterableIterator<number>

      - #### Returns IterableIterator<number>

  - ##### throttleTimeSlot: number

  #### Returns Observable<BatchGetItemOutput>

Generated using TypeDoc